package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 电表数据
 */
public class AmmeterDataVo {

    /** 电表名称 */
    private String deviceName;

    /** 设备id */
    private String deviceId;

    /** 通信状态 */
    private String emsCommunicationStatus;

    /** 数据更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataUpdateTime;

    /** 表数据信息 */
    private List<LoadDataDetailInfo> loadDataDetailInfo;

    // 正向有功电能
    private BigDecimal forwardActive;
    // 反向有功电能
    private BigDecimal reverseActive;
    // 正向无功电能
    private BigDecimal forwardReactive;
    // 反向无功电能
    private BigDecimal reverseReactive;
    // 有功功率
    private BigDecimal activePower;
    // 无功功率
    private BigDecimal reactivePower;
    // 有功电能
    private BigDecimal activeEnergy;
    // 无功电能
    private BigDecimal reactiveEnergy;

    /** 报警个数 */
    private int alarmNum;

    public BigDecimal getActiveEnergy() {
        return activeEnergy;
    }

    public void setActiveEnergy(BigDecimal activeEnergy) {
        this.activeEnergy = activeEnergy;
    }

    public BigDecimal getReactiveEnergy() {
        return reactiveEnergy;
    }

    public void setReactiveEnergy(BigDecimal reactiveEnergy) {
        this.reactiveEnergy = reactiveEnergy;
    }

    public BigDecimal getForwardActive() {
        return forwardActive;
    }

    public void setForwardActive(BigDecimal forwardActive) {
        this.forwardActive = forwardActive;
    }

    public BigDecimal getReverseActive() {
        return reverseActive;
    }

    public void setReverseActive(BigDecimal reverseActive) {
        this.reverseActive = reverseActive;
    }

    public BigDecimal getForwardReactive() {
        return forwardReactive;
    }

    public void setForwardReactive(BigDecimal forwardReactive) {
        this.forwardReactive = forwardReactive;
    }

    public BigDecimal getReverseReactive() {
        return reverseReactive;
    }

    public void setReverseReactive(BigDecimal reverseReactive) {
        this.reverseReactive = reverseReactive;
    }

    public BigDecimal getActivePower() {
        return activePower;
    }

    public void setActivePower(BigDecimal activePower) {
        this.activePower = activePower;
    }

    public BigDecimal getReactivePower() {
        return reactivePower;
    }

    public void setReactivePower(BigDecimal reactivePower) {
        this.reactivePower = reactivePower;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getEmsCommunicationStatus() {
        return emsCommunicationStatus;
    }

    public void setEmsCommunicationStatus(String emsCommunicationStatus) {
        this.emsCommunicationStatus = emsCommunicationStatus;
    }

    public Date getDataUpdateTime() {
        return dataUpdateTime;
    }

    public void setDataUpdateTime(Date dataUpdateTime) {
        this.dataUpdateTime = dataUpdateTime;
    }

    public List<LoadDataDetailInfo> getLoadDataDetailInfo() {
        return loadDataDetailInfo;
    }

    public void setLoadDataDetailInfo(List<LoadDataDetailInfo> loadDataDetailInfo) {
        this.loadDataDetailInfo = loadDataDetailInfo;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public int getAlarmNum() {
        return alarmNum;
    }

    public void setAlarmNum(int alarmNum) {
        this.alarmNum = alarmNum;
    }
}
